Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
sauce::Injector Class Reference

## Public Member Functions
template<typename Dependency >
void | inject (typename i::Key< Dependency >::Ptr &injected, std::string const name=unnamed())
template<typename Iface , typename Name >
void | inject (typename i::Key< Named< Iface, Name > >::Ptr &injected, std::string const name=unnamed())
template<typename Dependency >
i::Key< Dependency >::Ptr | get (std::string const name=unnamed())
template<typename Iface , typename Name >
i::Key< Named< Iface, Name > >::Ptr | get (std::string const name=unnamed())
template<typename Scope >
i::InjectorPtr | enter () const
i::InjectorPtr | exit () const
template<typename Scope >
void | eagerlyInject ()

## Friends
class | Modules
class | i::InjectorFriend

The documentation for this class was generated from the following file:

- sauce/injector.h